%global srcname elastic-transport

Summary:	Transport classes and utilities shared among Python Elastic client libraries
Name:		python-%{srcname}
Version:	8.4.0
Release:	4%{?dist}
License:	Apache-2.0
URL:		https://github.com/elastic/elastic-transport-python
Source0:	%{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:	python3-devel python3-pytest python-trustme

BuildArch:	noarch

%description
Transport classes and utilities shared among Python
Elastic client libraries. This library was lifted
from elasticsearch-py and then transformed to be
used across all Elastic services rather than only
Elasticsearch.

%package -n python3-%{srcname}
Summary:	Transport classes and utilities shared among Python Elastic client libraries

%description -n python3-%{srcname}
Transport classes and utilities shared among Python
Elastic client libraries. This library was lifted
from elasticsearch-py and then transformed to be
used across all Elastic services rather than only
Elasticsearch.


%prep
%autosetup -n %{srcname}-python-%{version}

sed -i -e 's/^import mock/from unittest import mock/' \
       -e 's/^from mock import /from unittest.mock import /' \
    tests/node/*.py

%generate_buildrequires
%pyproject_buildrequires -r -x develop

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files elastic_transport

%check
%pytest -v -k 'not test_http_aiohttp and not test_urllib3_chain_certs and not test_tls_versions'

%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.md README.md

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.4.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.4.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.4.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Miaojun Dong <zoedong@tencent.com> - 8.4.0-1
- initial build
